import {http2} from "@/utils/request.js";
export const getFileList = (data) => {
    return http2.get(`/acs/v1/file/list?container_id=${data.container_id}&path=${data.path}`)
}
/** 读取文件内容 */
export const readFile = (data) => {
    return http2.post(`/acs/v1/file/read`,data, {
        headers: {
          "Content-Type": "multipart/form-data"
        }
      })
}
/*删除文件或文件夹 */
export const deleteFile = (data) => {
    return http2.post(`/acs/v1/file/delete`,data, {
        headers: {
          "Content-Type": "multipart/form-data"
        }
      })
}
/*写入文件 */
export const writeFile = (data) => {
    return http2.post(`/acs/v1/file/write`,data, {
        headers: {
          "Content-Type": "multipart/form-data"
        }
      })
}
/*创建文件夹 */
export const createFolder = (data) => {
    return http2.post(`/acs/v1/file/mkdir`,data, {
        headers: {
          "Content-Type": "multipart/form-data"
        }
      })
}
/**上传文件 */
export const uploadFile = (data) => {
    return http2.post(`/acs/v1/file/upload_file`,data, {
        headers: {
          "Content-Type": "multipart/form-data"
        }
      })
}
/**下载文件链接 */
export const downloadFile = (data) => {
    return http2.post(`/acs/v1/file/get_down_link`,data, {
        headers: {
          "Content-Type": "multipart/form-data"
        }
      })
}
/**压缩文件 */
export const compressFile = (data) => {
    return http2.post(`/acs/v1/file/zip_file`,data, {
        headers: {
          "Content-Type": "multipart/form-data"
        }
      })
}
/**解压文件 */
export const decompressFile = (data) => {
    return http2.post(`/acs/v1/file/unzip_file`,data, {
        headers: {
          "Content-Type": "multipart/form-data"
        }
      })
}